Subject: Re: [RFC net-next 1/3] netdev: add per-queue statistics

From: Jakub Kicinski <[email-masked]>
Date: Thu, 22 Feb 2024 17:44:07 -0800

On Thu, 22 Feb 2024 16:29:08 -0800 Nambiar, Amritha wrote:
> Thanks, this almost has all the bits to also lookup stats for a single 
> queue with --do stats-get with a queue id and type.

We could without the projection. The projection (BTW not a great name,
couldn't come up with a better one.. split? dis-aggregation? view?
un-grouping?) "splits" a single object (netdev stats) across components
(queues). I was wondering if at some point we may add another
projection, splitting a queue. And then a queue+id+projection would
actually have to return multiple objects. So maybe it's more consistent
to just not support do at all for this op, and only support dump?

We can support filtered dump on ifindex + queue id + type, and expect
it to return one object for now.

Not 100% sure so I went with the "keep it simple, we can add more later"
approach.